Skip to main content
<div><div> <span style= “display: inline-block; width: 25px; height: 25px; background-color: red; color: black; font-weight: bold; font-size: 24px; text-align: center; line-height: 20px; border: 2px solid black; border-radius: 20%; margin-right: 10px;”> ! </span> <span><strong>As of December 4, 2024, X (formerly Twitter) is no longer supported. We apologise for any inconvenience.</strong></span> </div></div>
POST https://services.leadconnectorhq.com/social-media-posting/oauth/{locationId}/twitter/accounts/{accountId}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

locationId
string
default:"w37swmmLbA02zgqKPpxITe2"
required
Account Account Id
accountId
string
default:"w37swmmLbA02zgqKPpxITe"
required
Account Id

Body

originId
string
default:"244405****11687"
name
string
default:"JOHN_DEO"
username
string
default:"user_name"
avatar
string
protected
boolean
default:"True"
verified
boolean
default:"True"
companyId
string
default:"sdfdsfdsfEWEsdfsdsW32dd"
Company ID

Respuestas

success
boolean
default:"True"
required
Success or Failure
statusCode
number
default:"201"
required
Status Code
message
string
default:"Added Twitter Account"
required
Message
results
object
Requested Results
{
  "success": true,
  "statusCode": 201,
  "message": "Added Twitter Account"
}
{}
{}
{}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/twitter/accounts/YOUR_accountId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "originId": "244405****11687",
  "name": "JOHN_DEO",
  "username": "user_name",
  "avatar": "string",
  "protected": true,
  "verified": true,
  "companyId": "sdfdsfdsfEWEsdfsdsW32dd"
}'
const response = await fetch('https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/twitter/accounts/YOUR_accountId', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"originId": "244405****11687", "name": "JOHN_DEO", "username": "user_name", "avatar": "string", "protected": true, "verified": true, "companyId": "sdfdsfdsfEWEsdfsdsW32dd"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'POST',
    'https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/twitter/accounts/YOUR_accountId',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"originId": "244405****11687", "name": "JOHN_DEO", "username": "user_name", "avatar": "string", "protected": true, "verified": true, "companyId": "sdfdsfdsfEWEsdfsdsW32dd"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/social-media-posting/oauth/YOUR_locationId/twitter/accounts/YOUR_accountId');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'originId': '244405****11687', 'name': 'JOHN_DEO', 'username': 'user_name', 'avatar': 'string', 'protected': true, 'verified': true, 'companyId': 'sdfdsfdsfEWEsdfsdsW32dd'}),
]);
$data = json_decode(curl_exec($ch), true);